Results 1 to 6 of 6

Thread: Can't launch Alacarte

  1. #1

    Default Can't launch Alacarte

    I can't lauch Alacarte menu editor, errors:

    kuba@linux-w3pi:~> alacarte
    Traceback (most recent call last):
    File "/usr/bin/alacarte", line 22, in <module>
    from Alacarte.MainWindow import MainWindow
    File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 33, in <module>
    from Alacarte.MenuEditor import MenuEditor
    File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 23, in <module>
    from Alacarte import util
    File "/usr/lib/python2.7/site-packages/Alacarte/util.py", line 28, in <module>
    from gi._glib import GError
    ImportError: cannot import name GError

    OpenSUSE 12.3 Gnome updated to 3.8 from Gnome stable repository.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,670
    Blog Entries
    15

    Default Re: Can't launch Alacarte

    Hi
    A quick fix, as root user edit util.py;

    Code:
    vi /usr/lib/python2.7/site-packages/Alacarte/util.py
    and change line 28 from;

    Code:
    from gi._glib import GError
    to

    Code:
    from gi.repository.GLib import GError
    Will look at push a fix into the 3.8 repo.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,670
    Blog Entries
    15

    Default Re: Can't launch Alacarte

    Quote Originally Posted by malcolmlewis View Post
    Will look at push a fix into the 3.8 repo.
    Fix was already in Factory, there should be an update in the G:S:3.8 repository soon
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Thumbs up Re: Can't launch Alacarte

    Thank you very much Topic solved.

  5. #5
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: Can't launch Alacarte

    Wow. 3.8 is not yet stable on 12.3. I will wait for 13.1
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  6. #6
    Join Date
    May 2012
    Location
    Ireland
    Posts
    10

    Default Re: Can't launch Alacarte

    Thanks - fix has worked for me too
    Gnome 3,8 release is now perfect for me

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •